<template>
  <div id="app">
    <div class="container-fluid">
      <div class="row">
        <div class="col-6">
          <h1>Todos</h1>
          <hr>
          <add-todo-vue @add-todo="addTodo"></add-todo-vue>

          <todolist-view-vue @move-to-finish="moveToFinish" :todos="unCompleted"></todolist-view-vue>
        <div id="foot">
      <p>{{unCompleted.length}} items left</p>
    </div>
        </div>
        <div class="col-6">
          <donelist-view-vue @remove-todo="removeTodo" :todos="completed"></donelist-view-vue>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import TodoListViewVue from "./components/TodolistView.vue";
import DoneListViewVue from "./components/DonelistView.vue";
import AddTodoVue from "./components/AddTodo.vue";

export default {
  name: "app",
  components: {
    TodoListViewVue,
    DoneListViewVue,
    AddTodoVue
  },
  data() {
    return {
      todos: [
        {
          id: 1,
          title: "Learn Node",
          completed: true
        },
        {
          id: 2,
          title: "Learn Symfony",
          completed: true
        },
        {
          id: 3,
          title: "Learn VueJs",
          completed: false
        }
      ]
    };
  },
  computed: {
    unCompleted() {
      return this.todos.filter(todo => todo.completed == false);
    },

    completed() {
      return this.todos.filter(todo => todo.completed == true);
    }
  },

  methods: {
    addTodo(event) {
       this.todos.push(event);
    },

    moveToFinish(event) {
    const index = this.todos.findIndex(todo => todo.id == event.id);
     this.todos[index].completed = true;
    },

    removeTodo(event) {
      const index = this.todos.findIndex(todo => todo.id == event.id);
      this.todos.splice(index, 1);
    }
  }
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

li {
  border-bottom: 1px solid lightgrey;
}

#foot {
  background-color: yellow;
}
</style>
